#!/bin/bash
#SBATCH -N 1 # number of nodes
#SBATCH -n 32 # number of cores
#module load python3
#~/.local/bin/ipcluster start --n=32 --daemon --ip="*"
source /gpfs/exfel/data/scratch/haufs/clean_cal/karabo/activate
ipython profile create ${11} --parallel
/gpfs/exfel/data/user/haufs/karabo/extern/bin/ipcluster start --n=8 --profile=${11} --daemon &
sleep 30
/gpfs/exfel/data/user/haufs/karabo/extern/bin/python "$@"
/gpfs/exfel/data/user/haufs/karabo/extern/bin/ipcluster stop --profile=${11}
rm -rf "/home/haufs/.ipython/profile_${11}"
#echo ${11}
